#### D.15.3.4 segre

Procedure from library `chern.lib` (see chern_lib).

Usage:
  segre(c[, N]); c list of polynomials, N integer

Return:
  list of polynomials

Purpose:
  computes the list of the Segre classes up to degree N in terms of the Chern classes from c

Note:

Example:

    LIB "chern.lib";
    ring r = 0, (c(1..3)), dp;
    list l=c(1..3);
    //Segre classes up to degree 5 in Chern classes c(1), c(2), c(3)
    print( segre(l, 5) );
    ==> [1]:
    ==>    -c(1)
    ==> [2]:
    ==>    c(1)^2-c(2)
    ==> [3]:
    ==>    -c(1)^3+2*c(1)*c(2)-c(3)
    ==> [4]:
    ==>    c(1)^4-3*c(1)^2*c(2)+c(2)^2+2*c(1)*c(3)
    ==> [5]:
    ==>    -c(1)^5+4*c(1)^3*c(2)-3*c(1)*c(2)^2-3*c(1)^2*c(3)+2*c(2)*c(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.